Bug 215380 - Window decorations with 0.3.2-1.fc7 and nVidia
Window decorations with 0.3.2-1.fc7 and nVidia
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-13 13:55 EST by Steve Brown
Modified: 2008-05-06 20:59 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:59:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot. Coconut Bob says hello. :-) (997.27 KB, image/png)
2006-11-13 13:55 EST, Steve Brown
no flags Details
Notice strange title bar button locations (166.16 KB, image/png)
2006-11-14 03:47 EST, Austin Foxley
no flags Details
"Compiz" 0.3.4 screenshot w/decoration artifact on "ATI Radeon 7200" (1.27 KB, image/png)
2006-12-16 11:39 EST, Joachim Frieben
no flags Details

  None (edit)
Description Steve Brown 2006-11-13 13:55:47 EST
Description of problem:


Version-Release number of selected component (if applicable):
compiz 0.3.2-1.fc7, rawhide, using latest nVidia binary drivers (v9629).
"gnome-window-decorator" seems to be missing from this new version.  It was
there in compiz 0.0.13.

How reproducible:
Seems to happen every time for me.

Steps to Reproduce:
1. Enable "Desktop Effects"
2. Compiz replaces metacity process.
3. Window decorations are all messed up.  See attached screenshot.
4. Restoring metacity or turning off "Desktop Effects" returns the decorations
to normal.
5. Relaunching gtk-window-decorator does not have any effect.
6. Nothing strange in .xsession-errors, /var/log/gdm/:0.log, or Xorg.0.log

Actual results:
The window decorator gets all messed up.  There are four or five buttons on the
right, which don't do their expected action (min, max, close, etc.)  Mousing
over the 
"minimize" button moves the "close" button over to the left side and then back!
 See screenshot.

Expected results:
Three buttons on right, one on left.

Additional info:
Comment 1 Steve Brown 2006-11-13 13:55:49 EST
Created attachment 141085 [details]
Screenshot.  Coconut Bob says hello. :-)
Comment 2 Austin Foxley 2006-11-14 03:45:45 EST
I'm also getting similar wacky title bar behaviour. Only mine jump all around
the title-bar on mouse over. See screenshot
Comment 3 Austin Foxley 2006-11-14 03:46:24 EST
I'm also getting similar wacky title bar behavior. Only mine jump all around the
title-bar on mouse over. See screenshot...
Comment 4 Austin Foxley 2006-11-14 03:47:52 EST
Created attachment 141138 [details]
Notice strange title bar button locations

sorry about the double post...
Comment 5 Thomas J. Baker 2006-11-15 11:00:58 EST
Another me too. I thought that this might be due to which plugins I had enabled
so I went into gconf-editor and unset the active_plugins key so it would go back
to the default. That didn't work as I was left with only 'gconf'. I don't know
if that's a gconf-editor bug or a schema bug or what. (The schema does seem to
have a defined default.) I looked at my FC6 active_plugins on a different
machine and added them on my rawhide machine and everything seems fine except
for wacky button placement.
Comment 6 Matthias Clasen 2006-11-16 14:58:39 EST
We need to get the real fix for working with new metacity themes from git,
instead of my quick just-make-it-compile patch
Comment 7 Didier 2006-11-17 03:07:03 EST
This appears to be fixed in the latest git : it works perfectly with the
20061116 source rpm I created, as referred to in bug #208044, comment #26 ;
border artefact disappeared too, after an X restart.

Comment 8 Joachim Frieben 2006-12-16 11:39:29 EST
Created attachment 143857 [details]
"Compiz" 0.3.4 screenshot w/decoration artifact on "ATI Radeon 7200"

After rebuilding the development package for "compiz" 0.3.4, I still
have a small artifact at the right border of the "Minimize" button.
This is on an "ATI Radeon 7200", so the issue may be more general
than being only "NVidia" related.
Comment 9 Kristian Høgsberg 2007-03-28 22:41:33 EDT
Is this still present with the 0.3.6 release? To enable metacity decorations,
use the /apps/gwd/use_metacity_theme gconf key.
Comment 10 Steve Brown 2007-03-29 09:57:08 EDT
Misplaced decorations are gone with compiz-0.3.6-2.fc7.  However,
gtk-window-decorator crashes randomly with this compiz package (leaving naked
windows until it's relaunched).  Will retest with compiz-0.3.6-4.fc7.
Comment 11 Joachim Frieben 2007-03-29 10:22:00 EDT
(In reply to comment #10)
Same crashes here with "i810/intel" driver on "DELL Optiplex 745" w/"965Q"
onboard graphics.
Comment 12 Kristian Høgsberg 2007-08-15 18:51:01 EDT
Can I get you all to retest with the recent compiz-0.5.2-5.0ec3ec.fc8 build?

Thanks
Comment 13 Didier 2007-08-17 11:24:33 EDT
WRT the gnome-session 2.19.6-2 dependency : any chance of compiling/testing this
on F7 ?
Comment 14 Didier 2007-08-23 08:25:42 EDT
WRT comment #13, and to whom it may concern :

compiz/compiz-fusion 0.5.2 works very well on F7 with the RPM packages provided
at kagesenshi's repo (http://devel.foss.org.my/~kagesenshi/repo/pub/).

Comment 15 Bug Zapper 2008-04-03 14:37:04 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 16 Bug Zapper 2008-05-06 20:59:26 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.